Magento themes and extensions

[solution] Magento ERROR: unable to unpack

Share

Current issue with PEAR repositories affects upgrade from Magento 1.4.1.1 to Magento 1.4.2.0 via Magento Connect Manager and installation of some Magento extensions. The following error (or similar one) is shown in Magento Connect Manager on installation/upgrade:

ERROR: unable to unpack downloader/pearlib/download/AW_Blog-1.0.21.tgz

To solve the issue it is needed to forcibedly upgrade PEAR package to the latest version using the following CLI command:

./pear install -f PEAR

For new Magenting installations this command is included in the post-install script. If you notice this issue with your old Magento installation, please notify the Support Team to get this fixed.

There is also a bug in current stable PEAR/Archive_Tar implementation resulting in impossibility to unpack archives made by certain software versions. To fix it simply replace downloader/pearlib/php/Archive/Tar.php file with a patched version or apply a patch from http://pear.php.net/bugs/bug.php?id=17578&edit=11.

Leave a Reply

You must be logged in to post a comment.